export interface IListrTask {
    title: string;
    task: () => void;
    skip?: () => void;
}
export interface IListrOptions {
    concurrent?: boolean;
    exitOnError?: boolean;
}
export interface IListr {
    run(): Promise<void>;
    add(task: IListrTask): IListr;
}
export declare function listr(tasks?: IListrTask[], options?: IListrOptions): IListr;
